/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://code.google.com/p/google-apis-client-generator/
 * (build: 2013-06-20 19:08:55 UTC)
 * on 2013-06-22 at 00:09:43 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.coordinate.model;

/**
 * Location of a job.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google Maps Coordinate API. For a detailed
 * explanation see:
 * <a href="http://code.google.com/p/google-http-java-client/wiki/JSON">http://code.google.com/p/google-http-java-client/wiki/JSON</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class Location extends com.google.api.client.json.GenericJson {

  /**
   * Address.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.util.List<java.lang.String> addressLine;

  /**
   * Identifies this object as a location.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String kind;

  /**
   * Latitude.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.Double lat;

  /**
   * Longitude.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.Double lng;

  /**
   * Address.
   * @return value or {@code null} for none
   */
  public java.util.List<java.lang.String> getAddressLine() {
    return addressLine;
  }

  /**
   * Address.
   * @param addressLine addressLine or {@code null} for none
   */
  public Location setAddressLine(java.util.List<java.lang.String> addressLine) {
    this.addressLine = addressLine;
    return this;
  }

  /**
   * Identifies this object as a location.
   * @return value or {@code null} for none
   */
  public java.lang.String getKind() {
    return kind;
  }

  /**
   * Identifies this object as a location.
   * @param kind kind or {@code null} for none
   */
  public Location setKind(java.lang.String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * Latitude.
   * @return value or {@code null} for none
   */
  public java.lang.Double getLat() {
    return lat;
  }

  /**
   * Latitude.
   * @param lat lat or {@code null} for none
   */
  public Location setLat(java.lang.Double lat) {
    this.lat = lat;
    return this;
  }

  /**
   * Longitude.
   * @return value or {@code null} for none
   */
  public java.lang.Double getLng() {
    return lng;
  }

  /**
   * Longitude.
   * @param lng lng or {@code null} for none
   */
  public Location setLng(java.lang.Double lng) {
    this.lng = lng;
    return this;
  }

  @Override
  public Location set(String fieldName, Object value) {
    return (Location) super.set(fieldName, value);
  }

  @Override
  public Location clone() {
    return (Location) super.clone();
  }

}
